Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Tomas Chvatal" <scarabeus@g.o>
Subject: proj/kde:master commit in: app-office/akonadi-server/
Date: Tue, 5 Apr 2011 23:27:45 +0000 (UTC)
commit:     5ba7ba8fb50debd33fc32f878c55c58ce6853a82
Author:     Tomas Chvatal <scarabeus <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  5 23:27:22 2011 +0000
Commit:     Tomas Chvatal <scarabeus <AT> gentoo <DOT> org>
CommitDate: Tue Apr  5 23:27:39 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=5ba7ba8f

[app-office/akonadi-server] Cleanup the ebuild.

---
 .../akonadi-server/akonadi-server-9999.ebuild      |   35 ++++++++-----------
 1 files changed, 15 insertions(+), 20 deletions(-)

diff --git a/app-office/akonadi-server/akonadi-server-9999.ebuild b/app-office/akonadi-server/akonadi-server-9999.ebuild
index 3535345..1638c23 100644
--- a/app-office/akonadi-server/akonadi-server-9999.ebuild
+++ b/app-office/akonadi-server/akonadi-server-9999.ebuild
@@ -13,7 +13,7 @@ EGIT_REPO_URI="git://anongit.kde.org/akonadi"
 LICENSE="LGPL-2.1"
 KEYWORDS=""
 SLOT="0"
-IUSE="mysql postgres +sqlite +server"
+IUSE="mysql postgres +sqlite"
 
 CDEPEND="
 	dev-libs/boost
@@ -28,27 +28,22 @@ DEPEND="${CDEPEND}
 	>=dev-util/automoc-0.9.88
 "
 RDEPEND="${CDEPEND}
-	server? (
-		postgres? ( dev-db/postgresql-server )
-	)
+	postgres? ( dev-db/postgresql-server )
 "
 
-REQUIRED_USE="^^ ( sqlite mysql postgres )"
+REQUIRED_USE="|| ( sqlite mysql postgres )"
 
 pkg_setup() {
 	# Set default storage backend in order: SQLite, MySQL, PostgreSQL
-	local available
 	if use sqlite; then
-		driver="QSQLITE3"
-		available+=" ${driver}"
-	fi
-	if use mysql; then
-		driver="QMYSQL"
-		available+=" ${driver}"
-	fi
-	if use postgres; then
-		driver="QPSQL"
-		available+=" ${driver}"
+		DRIVER="QSQLITE3"
+		AVAILABLE+=" ${driver}"
+	elif use mysql; then
+		DRIVER="QMYSQL"
+		AVAILABLE+=" ${driver}"
+	elif use postgres; then
+		DRIVER="QPSQL"
+		AVAILABLE+=" ${driver}"
 	fi
 
 	# Notify about driver name change
@@ -65,7 +60,7 @@ pkg_setup() {
 		ewarn "If you intend to use it, please enable mysql USE flag and reinstall"
 		ewarn "${CATEGORY}/${PN}."
 		ewarn "Otherwise select different driver in your ~/.config/akonadi/akonadiserverrc."
-		ewarn "Available drivers are:${available}"
+		ewarn "Available drivers are:${AVAILABLE}"
 	fi
 }
 
@@ -73,7 +68,7 @@ src_install() {
 	# Who knows, maybe it accidentally fixes our permission issues
 	cat <<-EOF > "${T}"/akonadiserverrc
 [%General]
-Driver=${driver}
+Driver=${DRIVER}
 EOF
 	insinto /usr/share/config/akonadi
 	doins "${T}"/akonadiserverrc || die "doins failed"
@@ -83,7 +78,7 @@ EOF
 
 pkg_postinst() {
 	echo
-	elog "${driver} has been set as your default akonadi storage backend."
+	elog "${DRIVER} has been set as your default akonadi storage backend."
 	elog "You can override it in your ~/.config/akonadi/akonadiserverrc."
-	elog "Available drivers are: QMYSQL, QPSQL, QSQLITE3"
+	elog "Available drivers are: ${AVAILABLE}"
 }


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-lua/LuaBitOp: metadata.xml ChangeLog LuaBitOp-1.0.1.ebuild
Next by thread:
proj/kde:master commit in: app-office/akonadi-server/
Previous by date:
proj/kde:master commit in: eclass/
Next by date:
proj/planet-gentoo:master commit in: configs/universe/, configs/planet/


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.